<?xml version="1.0" encoding="utf-8"?>
<layout >
    <data>
        <variable
            name="product"
            type="com.anas.fishday.entities.Product" />
        <variable
            name="onProductClickListener"
            type="com.anas.fishday.screens.main.fragments.home.interfaces.OnProductClickListener" />
    </data>

    <android.support.v7.widget.CardView
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="5dp"
        android:layout_marginEnd="5dp"
        android:layout_marginTop="5dp"
        app:cardPreventCornerOverlap="false"
        app:cardBackgroundColor="@color/white"
        android:onClick="@{()->onProductClickListener.onProductClick(product)}">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/productIv"
                android:layout_width="match_parent"
                android:layout_height="@dimen/_120sdp"
                android:scaleType="fitXY"
                loadProductImage="@{product.images}" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/_7sdp">

                <TextView
                    style="@style/TextPrimary"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:lines="1"
                    android:textSize="@dimen/_10ssp"
                    android:text="@{product.name}" />

                <TextView
                android:id="@+id/productPriceTv"
                style="@style/TextBlack"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toStartOf="@id/priceUnit"
                android:layout_centerVertical="true"
                android:textSize="@dimen/_8ssp"
                android:text="@{String.format(@string/sar_format, product.kiloPrice)}" />

                <TextView
                    android:id="@+id/priceUnit"
                    style="@style/TextBlack"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="2dp"
                    android:paddingTop="2dp"
                    android:textColor="@color/text_light_gray"
                    android:textSize="@dimen/_8ssp"
                    android:text="@string/per_piece" />
            </RelativeLayout>

            <Button

                android:layout_width="match_parent"
                android:layout_height="@dimen/_26sdp"
                android:layout_marginEnd="@dimen/_5sdp"
                android:layout_marginStart="@dimen/_5sdp"
                android:layout_marginBottom="@dimen/_5sdp"
                android:background="@drawable/rounded_bg_blue"
                style="@style/TextWhite"
                android:textSize="@dimen/_10ssp"
                android:text="@string/add_to_cart"
                android:textAllCaps="false"
                android:onClick="@{()->onProductClickListener.onAddToCartClick(product)}"/>
        </LinearLayout>
    </android.support.v7.widget.CardView>
</layout>
